/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Named Target</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.NamedTarget#getTarget <em>Target</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getNamedTarget()
 * @model
 * @generated
 */
public interface NamedTarget extends Target
{
  /**
   * Returns the value of the '<em><b>Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Target</em>' containment reference.
   * @see #setTarget(Item)
   * @see fr.istic.mML.MMLPackage#getNamedTarget_Target()
   * @model containment="true"
   * @generated
   */
  Item getTarget();

  /**
   * Sets the value of the '{@link fr.istic.mML.NamedTarget#getTarget <em>Target</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Target</em>' containment reference.
   * @see #getTarget()
   * @generated
   */
  void setTarget(Item value);

} // NamedTarget
